{% extends '@PiCRUD/list.html.twig' %}

{% block content_body_entities %}
    <div class="row my-4">
        <div class="col-12 col-lg-10 offset-lg-1">
            {% set currentMonth = '' %}

            {% for entity in entities %}
                {% set month = entity.dateBegin|date('Y-m') %}
                {% if loop.first %}
                    <div class="row my-4">
                    <div class="col-12 my-4">
                        <h2 class="text-balise">{{ entity.dateBegin|format_date(pattern='MMMM Y')|capitalize }}</h2>
                    </div>
                    {% set currentMonth = entity.dateBegin|date('Y-m') %}
                {% elseif currentMonth is not same as(month) %}
                    </div>
                    <div class="row my-4">
                    <div class="col-12 my-4">
                        <h2 class="text-balise">{{ entity.dateBegin|format_date(pattern='MMMM Y')|capitalize }}</h2>
                    </div>
                    {% set currentMonth = entity.dateBegin|date('Y-m') %}
                {% endif %}

                {% if is_granted('show', entity) %}
                    {{ render(path('pi_crud_item', {
                        'id': entity.id,
                        'type': type,
                        'format': 'default',
                        'class': 'col-12 col-md-6 col-lg-4',
                    })) }}
                {% endif %}
            {% else %}
                <div class="row">
                    <div class="col-12">
                        <p class="lead">{{ 'pi_crud.list.empty_result'|trans({'entity_label': type}) }}</p>
                    </div>
                </div>
            {% endfor %}

            {% if currentMonth is not empty %}
                </div>
            {% endif %}
        </div>
    </div>
{% endblock content_body_entities %}